Delete a respondent
POST
/delete-respondent
const url = 'https://respondent.rex.dynata.com/delete-respondent';const options = { method: 'POST', headers: { 'dynata-expiration': '2026-04-15T12:00:00Z', 'dynata-access-key': 'ABCD1234', 'dynata-signature': 'c156e91013eb715edb2b07df5491497a807206b1796bb7d031505107a9dbdcdf', 'Content-Type': 'application/json' }, body: '{"respondent_id":"user1234"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://respondent.rex.dynata.com/delete-respondent \ --header 'Content-Type: application/json' \ --header 'dynata-access-key: ABCD1234' \ --header 'dynata-expiration: 2026-04-15T12:00:00Z' \ --header 'dynata-signature: c156e91013eb715edb2b07df5491497a807206b1796bb7d031505107a9dbdcdf' \ --data '{ "respondent_id": "user1234" }'Delete an existing respondent.
Learn more here.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”dynata-expiration
required
string format: date-time
RFC3339 timestamp indicating request expiration
dynata-access-key
required
string
Dynata provided access key
Example
ABCD1234dynata-signature
required
string
Signature created using the dynata methodology
Example
c156e91013eb715edb2b07df5491497a807206b1796bb7d031505107a9dbdcdfRequest Body
Section titled “Request Body”Media typeapplication/json
object
respondent_id
required
Partner’s respondent identifier. Accepts 100 characters, 3-byte chars.
string
Responses
Section titled “Responses”Respondent deleted successfully
Bad request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Invalid credentials
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Unauthorized
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Internal server error
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}